@charset "UTF-8";
/* CSS Document */
/*
Here are some commonly used CSS class selectors which 
-class rules can applied to multiple elements on a page
-can be applied in any combination
*/
@font-face {/*instructions to browser where to find your custom font*/
    font-family: customName1;/*use any name but don't start with a number and don't use spaces or strange characters*/
    src:	url(../fonts/filename1.ttf);
}
@font-face {/*instructions to browser where to find your custom font*/
    font-family: customName2;/*use any name but don't start with a number and don't use spaces or strange characters*/
    src:	url(../fonts/filename2.ttf);
}
* {
    box-sizing:border-box;/*This allows you to set and border width and padding but the div will retain its set width and set height*/
	margin:0;
	padding:0;
	position:relative;
}
html, body {
    width:100%;
    min-height:100%;
    height:auto;
}
header, nav, section, article, figure, figcaption, aside, footer {/*ensures older browsers display these tags correctly*/
    display:block;
    /*DON'T ADD anything else in this selector block - only this property should be in this CSS selector set*/
}
body {/*these are the 5 basic CSS properties and values to start a website*/
    font-family: Verdana, sans-serif;/*change this for your design*/
    font-size:100%;/*DON'T CHANGE THIS VALUE HERE - you can set font sizes in other selector styles*/
    color:rgba(0,0,0,1.00);/*main text color, default black, change as needed*/    
    z-index:0;/*stacking order - small numbers a below high numbers*/
}
.btn {
    position:relative;
    z-index:1002;/*stacking order, bigger numbers are on top*/  
    margin:auto;/*IMPORTANT! togther with btn justify-content will space out buttons automatically*/
    display:-webkit-flex;/*allows elements in btn to have flexible locations*/
    display:flex;/*allows elements in btn to have flexible locations*/
    justify-content:center;/*horizontally centers all elements in btn*/
    align-items:center;/*vertically centers all elements in btn for a single row of elements*/
    flex-direction:row;/*places all elements in btn in a row - other option is column*/
    flex-wrap:no-wrap;/*ensures that elements in btn do NOT wrap to a 2nd row*/ 
}
section {/*used for the main content area*/
    width:100%;
    min-height:600px;
    height:auto;
    z-index:900;/*stacking order - below nav and .btn and article*/ 
    clear:both;/*clears away and floating or text wrapping*/
}
article {/*used for the main content area*/
    clear:both;/*clears away and floating or text wrapping*/
    width:100%;
    min-height:600px;
    height:auto;
    padding:10px;
    z-index:901;/*stacking order - below nav and .btn but above section*/ 
}
article p {
	text-indent: 0rem;/*an rem is the size of a letter m relative to what's set in the body css rule*/
	text-align: center;
}
footer {
    clear:both;/*clears away and floating or text wrapping*/
    position:relative;
    text-align:right;
    font-size:0.8rem;
    width:100%;
    line-height:1.2rem;/*This will help to vertically center the text */  
    height:auto;
    z-index:900;/*stacking order - below article, nav, and .btn*/ 
}
/*===========Class rules to apply to multiple elements in the HTML===============================*/
figure, figure p, figcaption p {text-indent: 0; text-align:center;}/*for any captions or paragraphs inside figure tags*/
figure img {width: 100%; height:auto;}/*forces image in figure to fit a specific figure width set with other CSS - default is 500px wide*/
.floatLeft {float: left;}/*positions an element on the left of parent div and have text wrap around it*/
.floatRight {float: right;}/*positions an element on the right of parent div and have text wrap around it*/


nav {/*This is a fixed position bar along the top*/
	background-color: rgba(0,0,0,0.8);/*0.5 makes the bar 50% transparent*/
	position: fixed;
	top: 0px;
	width: 60px;/*makes this bar as wide as the browser*/
	height: 100vh;
	display: -webkit-flex;
	display: flex;
	justify-content: center;/*horizontally centers children*/
	align-content: center;/*vertically centers children */
	z-index: 8000;/*places bar top most so it's always clickable*/
	flex-direction: column;
	right: 0px;
}
.btn {
	cursor: pointer;
	margin-top: 5px;
	margin-right: 30px;
	margin-left: auto;
	margin-bottom: 5px;/*IMPORTANT - needed to work with display:flex */
	color: rgba(0,0,0,1.00);
	width: 20px;
	height: 20px;
	border-radius: 50%;
	background-color: rgba(255,255,255,1.00);
}
section {
	width: 100%;
	background-size: cover;/*This makes the image proportionally resize itself to cover the width of the screen*/
	background-origin: content-box;/*VERY IMPORTANT - this sets where the background begins to be visible*/
	background-attachment: fixed;/*VERY IMPORTANT - this makes the image NOT scroll with the content*/
	background-repeat: no-repeat;/*Not needed if your image is tall enough*/
	height: auto;
}
#section1 {
	background-image: url(../images/bg1.jpg);/*Path relative to CSS file, not relative to html file*/
}
#section2 {
	background-image: url(../images/bg1.jpg);
}
#section3 {
	background-image: url(../images/bg1.jpg);
}
#section4 {
	background-image: url(../images/bg1.jpg);
}
#section5 {
	background-image: url(../images/bg1.jpg);
}
header {
	height: calc(100vh - 120px);
	padding-top: 10px;
	font-size: 6em;
	width: 100%;
	z-index: 300;
	color: #2A3479;
	display: -webkit-flex;
	display: flex;
	justify-content: center;
	align-content: center;
}
.headerText {
	margin: auto;
	border: 3px #FFFFFF solid;
	text-align: center;
	padding-top: 20px;
	padding-right: 20px;
	padding-left: 20px;
	padding-bottom: 20px;
	background-color: rgba(255,255,255,0.46);
	top: -231px;
}
article {
	background-color: #FFF;
	height: auto;
	width: 100%;
	z-index: 300;
	margin-bottom: 50px;
}
.downArrowBox {
	background-color: #000;
	width: 100px;
	height: 100px;
	border-radius: 50%;
	margin-top: -50px;
	margin-right: auto;
	margin-left: auto;
	margin-bottom: 10px;
	display: -webkit-flex;
	display: flex;
	justify-content: center;
	align-content: center;
	-ms-transform: rotate(90deg); /* IE 9 */
	-webkit-transform: rotate(90deg); /* Chrome, Safari, Opera */
	transform: rotate(90deg);
	font-size: 3em;
	color: rgba(255,255,255,1.00);
	border: 2px #fff solid;
}
.downArrow {
	margin: auto;
}
.centeringDiv {
	padding: 10px;
	width: 960px;
	min-height: 300px;
	height: auto;/*Allows this area to be vertically ELASTIC*/
	margin: 0 auto;/*This centers the content on the browser*/
	z-index: 200;
	border: 1px solid rgba(0,0,0,1.00);
}
.clearFloats {
	width: 100%;
	clear: both;
	height: 0;
}
.half {
	width:50%;
	height:auto;
	float:left;
	padding:10px;
}
.third {
	width:33.3%;
	height:auto;
	float:left;
	padding:10px;
}
footer {
	width: 100%;
	padding: 10px;
	height: auto;
	text-align: center;
	font-size: 0.8em;
}
.videoWrapper {
	position: relative;
	padding-bottom: 56.25%; /* 16:9 */
	padding-top: 25px;
	height: 0;
	max-width:853px;/*same width as video itself*/
	width:100%;
	margin:0 auto;/*centers the video*/
}
.videoWrapper iframe {
	position: absolute;
	top: 0;
	left: 0;
	max-width:853px;/*change as desired*/
	max-height:480px;/*if you change max-width, make sure the height has a ratio of 16:9*/
	width: 100%;
	height: 100%;
}
@media screen and (max-width:667px){
	.half, .third {
		width:100%;
		float:none;
	}
	nav, .btn {
		display:none;
	}
}
